You are here

CVE-2010-4540

Vincent (CVE) Danen's picture
Stack-based buffer overflow in the load_preset_response function in plug-ins/lighting/lighting-ui.c in the "LIGHTING EFFECTS > LIGHT" plugin in GIMP 2.6.11 allows user-assisted remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a long Position field in a plugin configuration file. NOTE: it may be uncommon to obtain a GIMP plugin configuration file from an untrusted source that is separate from the distribution of the plugin itself. NOTE: some of these details are obtained from third party information.

Details Source

Mitre

Public Date

2010-12-31 00:00:00

Impact

Moderate

Bugzilla

CVE-2010-4540 Gimp: Stack-based buffer overflow in Lighting plug-in

Bugzilla ID

666 793

CVSS Status

verified

Base Score

5.10

Base Metrics

AV:N/AC:H/Au:N/C:P/I:P/A:P

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 5 (gimp) RHSA-2011:0838 2011-05-31
Red Hat Enterprise Linux 6 (gimp) RHSA-2011:0839 2011-05-31

CWE

CWE-121

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 4 gimp Not affected